# $Revision: 1.7 $, $Date: 2004/09/12 12:02:59 $
Summary:	Genetic Algorithm Utility Library
Summary(pl):	Biblioteka narzdziowa algorytmw genetycznych
Name:		gaul
Version:	0.1847
Release:	2
License:	GPL
Group:		Libraries
Source0:	http://dl.sourceforge.net/gaul/%{name}-devel-%{version}-0.tar.gz
# Source0-md5:	95e6e943801fa6cad6fe65d715c5f6ac
URL:		http://gaul.sourceforge.net/
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Genetic Algorithm Utility Library (GAUL) is an open source
programming library providing genetic algorithms. Both stead y-state
and generation based evolution is supported, together with the island
model. GAUL supports the Darwinian, Lamarckian and Baldwinian
evolutionary schemes. Standard mutation, crossover and selection
operators are provided, while code hooks additionally allow custom
operators. Several non-evolutionary search heuristics are provided for
comparison and local search purposes, including simplex method, hill
climbing, simulated annealing and steepest ascent. Much of the
functionality is also available through a simple S-Lang interface.

%description -l pl
GAUL jest otwart bibliotek algorytmw genetycznych. Obsugiwana jest
ewolucja miejscowa w stanie y, jak i oparta na pokoleniach, wraz z
modelem wyspowym. GAUL obsuguje schematy ewolucji darwinowski,
lamarckowski oraz baldwinowski. Dostarczone s standardowe operatory
mutacji, krzyowania i selekcji, a take miejsca zaczepienia do
dodania wasnych operatorw. Dodanych est kilka nieewolucyjnych
heurystyk wyszukiwania w celu porwnania oraz poszukiwania lokalnego,
wcznie z metod sympleks, znajdowaniem maksimum, symulowanym
rozpraniem oraz najszybszego wzrostu. Wikszo funkcjonalnoci jest
dostpna take przez prosty interfejs oparty na S-Langu.

%package devel
Summary:	Header files for GAUL library
Summary(pl):	Pliki nagwkowe biblioteki GAUL
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for GAUL library.

%description devel -l pl
Pliki nagwkowe biblioteki GAUL.

%package static
Summary:	Static GAUL library
Summary(pl):	Statyczna biblioteka GAUL
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static GAUL library.

%description static -l pl
Statyczna biblioteka GAUL.

%prep
%setup -q -n %{name}-devel-%{version}-0

%build
cp -f /usr/share/automake/config.sub .
%configure \
	--enable-g=no		\
	--enable-debug=no	\
	--enable-slang=no

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/lib*.so.*.*.*

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so
%{_libdir}/lib*.la
%{_includedir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gaul.spec,v $
Revision 1.7  2004/09/12 12:02:59  havner
- rel 2

Revision 1.6  2004/09/12 12:00:05  havner
- config.sub

Revision 1.5  2004/09/06 19:41:59  qboosh
- unification

Revision 1.4  2004/09/06 06:46:19  darekr
- missing %{_bindir}

Revision 1.3  2004/08/29 11:22:00  darekr
- update to 0.1847

Revision 1.2  2004/06/08 19:22:54  qboosh
- pl desc

Revision 1.1  2004/06/08 12:10:46  kosmo
- initial release.
